Bug 1628013 (CVE-2018-16419) - CVE-2018-16419 opensc: Buffer overflow handling responses from Cryptoflex cards in cryptoflex-tool.c:read_public_key()
Summary: CVE-2018-16419 opensc: Buffer overflow handling responses from Cryptoflex car...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-16419
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1628014 1628015 1630205
Blocks: 1622787
TreeView+ depends on / blocked
 
Reported: 2018-09-12 05:35 UTC by Sam Fowler
Modified: 2019-09-29 14:58 UTC (History)
5 users (show)

Fixed In Version: opensc 0.19.0-rc1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:19:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2154 None None None 2019-08-06 12:21:49 UTC

Description Sam Fowler 2018-09-12 05:35:54 UTC
Several buffer overflows when handling responses from a Cryptoflex card in read_public_key in tools/cryptoflex-tool.c in OpenSC before 0.19.0-rc1 could be used by attackers able to supply crafted smartcards to cause a denial of service (application crash) or possibly have unspecified other impact.


External References:

https://www.x41-dsec.de/lab/advisories/x41-2018-002-OpenSC/


Upstream Patch:

https://github.com/OpenSC/OpenSC/commit/360e95d45ac4123255a4c796db96337f332160ad#diff-a6074523a9cbd875e26c58e20868fb15

Comment 1 Sam Fowler 2018-09-12 05:36:21 UTC
Created opensc tracking bugs for this issue:

Affects: fedora-all [bug 1628014]

Comment 4 errata-xmlrpc 2019-08-06 12:21:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2154 https://access.redhat.com/errata/RHSA-2019:2154

Comment 5 Product Security DevOps Team 2019-08-06 13:19:33 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-16419


Note You need to log in before you can comment on or make changes to this bug.